Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.set
Class MaxSet<S>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.set.SetMeasure<S>
          fr.inrialpes.exmo.ontosim.set.MaxSet<S>

Type Parameters:
  `O` -

All Implemented Interfaces:
  Measure<Set<? extends S>>

Deprecated.

    @Deprecated
    public class MaxSet<S>

extends SetMeasure<S>

Measure which return the max similarity (min dissimilarity) between two sets of objects of type O according to a local measure m.

Author:
  jerome

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary

Fields inherited from class fr.inrialpes.exmo.ontosim.set.SetMeasure
`as, extractor, lmAsDissim, lmAsSim, localMeasure`

Constructor Summary
`MaxSet(Measure<S> m)` Deprecated.

Method Summary
`double` | `getDissim(Set<? extends S> o1, Set<? extends S> o2)` Deprecated.
`double` | `getMeasureValue(Set<? extends S> o1, Set<? extends S> o2)` Deprecated.
`double` | `getSim(Set<? extends S> o1, Set<? extends S> o2)` Deprecated.
`private double` | `getSumMax(Set<? extends S> o1, Set<? extends S> o2, Method m)` Deprecated.

Methods inherited from class fr.inrialpes.exmo.ontosim.set.SetMeasure
`getLocalMeasure, getMType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxSet

    public MaxSet(Measure<S> m)

  Deprecated.

Method Detail

### getSumMax

    private double getSumMax(Set<? extends S> o1,
                             Set<? extends S> o2,
                             Method m)

  Deprecated.

### getMeasureValue

    public double getMeasureValue(Set<? extends S> o1,
                                  Set<? extends S> o2)

  Deprecated.
  Specified by:
    `getMeasureValue` in interface `Measure<Set<? extends S>>`
  Overrides:
    `getMeasureValue` in class `SetMeasure<S>`

### getDissim

    public double getDissim(Set<? extends S> o1,
                            Set<? extends S> o2)

  Deprecated.
  Specified by:
    `getDissim` in interface `Measure<Set<? extends S>>`
  Overrides:
    `getDissim` in class `SetMeasure<S>`

### getSim

    public double getSim(Set<? extends S> o1,
                         Set<? extends S> o2)

  Deprecated.
  Specified by:
    `getSim` in interface `Measure<Set<? extends S>>`
  Overrides:
    `getSim` in class `SetMeasure<S>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009